Welcome to SonoSOFT

Welcome to Sonometrics Analysis Software help documentation. Please select from the following:

  1. Installing SonoSOFT
  2. Upgrading SonoSOFT
  3. Working in SonoSOFT
  4. SonoXYZ
  5. SonoVOL
  6. View 3D
  7. Appendix A: File Extension Definitions
  8. Appendix B: Calculations In CardioSOFT


New Installation of SonoSOFT

Currently all Sonometrics software will be available on CD-ROM. All delivered software will come equipped with license keys for installation. The new CD-ROM will include acquisition software and analysis software, dependant on license keys and upgrades purchased.


Installation Procedure

To begin, insert SonoSOFTTM CD with Windows 98, NT running. The installation procedures should start automatically, if not, click Start followed by Run. Browse the CD ROM to locate Setup.exe file and double click.

  1. When installing SonoSOFT , close any other programs running in Windows.

  2. Please fully read the Licensing Agreement before selecting Yes button. If License Agreement is not accepted the installation will not proceed. Please go to Licensing Agreement [image] for more information.

  3. The Information Page will outline new features and enhancements of the software version. When finished click Next > button.

  4. When prompted, enter the User Name and Company. This information will be saved and accessible later. Select Next > button.

  5. SonoSOFT Version 3.1.2 will default to install to a C:\SonoSOFT directory created during the installation. To change the destination of SonoSOFT select Browse from the Choose Destination Location window to scroll through system folders.

  6. Select purchased software packages from the software list. Please note, if user does not have corresponding license keys the software will install but will not run.

  7. Enter License Keys as listed on the CD case. Note*: Key codes must be entered exactly as printed on CD case including hyphens and capitalization. Once numerical codes have been entered press Next >.

  8. Software will complete installation and ask the user to shut down the computer. Newly installed software will not run properly until the computer is shut down and restarted.


Installing SonoSOFT Manual

Once SonoSOFT software installation is completed the user will be asked to install an electronic copy of this manual in Adobe Acrobat format.

  1. Select Yes and Adobe Acrobat reader will install automatically with version 4.0 unless already present.

  2. The Destination Installation Location menu will open and the user may select a location to save the files. Once path is selected Press Next > and Adobe will begin installation.

  3. To access the manual, open the SonoSOFT folder and select SonoSOFT.pdf.


Upgrading SonoSOFT Software

Upgrading SonoSOFT may be accomplished from CD ROM or website download. Once the Installation Shield has begun follow these steps.

Before upgrading the user must ensure the proper Licensing Keys are available.

  1. Select Repair From SonoSOFT Setup window and press Next->.

  2. All software will update automatically.

  3. To add new software features or programs, please select Modify and follow instructions as specified in Installing Software


Operating Other Software from SonoSOFT Platform

Links to other software programs or new SonoLAB configurations can be made on the SonoSOFT platform.

  1. Select File from the SonoSOFT Platform.

  2. Select Add.

  3. To add a different SonoLAB Configuration please enter the following:

Menu Text: SonoLAB X where X is the number of TRX channels.

Command Line: C:\SonoSOFT\DOS\SonoLAB.exe sonolabX.cfg

Working Directory: C:\SonoSOFT\DOS

  4. Press OK and select SonoLABX from the New Data Acquire menu.

  5. When prompted by SonoLAB, enter the appropriate channel numbers, analog numbers, resolution and DAC availability.

The new SonoLAB will remain in the system until deleted by the user.

Other sections dealing with the operation of other software under the SonoSOFT platform:

  1. Extension Interface for Application Programs

  2. How to Add a 3rd Party Program


Extension Interface for Application programs

Extension Interface can be used to activate external programs from SonoVIEW (or CardioSOFT) into a 3rd party program. This may be useful in the case of exporting an ASCII Trace zone file into Excel for further calculations.

For example, a user has a file called dog.SLB open in SonoVIEW and saves the ASCII Trace zone as dog.SSA. Using the ‘How to ADD a 3rd Party Program’ (as described below), the user can set up Excel as a program under the Applications menu directory. With the Extension interface for Excel added, the user can open the ASCII trace data (dog.SSA) in Excel by clicking on the newly made menu text, Excel SSA under Applications. We feel this will allow advanced computer users to extend the usefulness of SonoSOFT.


How to Add a 3rd Party Program

How to ADD the 3rd Party Program

To add Excel to SonoSOFT, the user would go under Applications and hit ADD. The Add-Ins Software screen appears as in Figure 1 and allows the user to input the name that will appear under Applications as the Menu Text. Command Line allows you to browse to find the program on your hard drive, then enter a space and $SSA, the file extension that you want Excel to open. If you want the add-in application to use the current file with an slb extension, then use the $SLB place holder where you would normally supply the filename. Please refer to the SonoSOFT working files in Figure 2, to view the extension interface for all SonoSOFT files that can be activated for use in other programs. The Working Directory is only important if the add-in application needs to be started from a particular directory to work properly. In this example we have left it blank since Excel does not need a working directory.

Figure 1: Adding a 3rd Party Program

To facilitate the transfer of SonoSOFT contexts, the command line will accept parameters for the various SonoSOFT working files. The parameters are:

Figure 2: SonoSOFT Working Files

When a SonoSOFT application encounters one of these parameters in an extension command line, it will replace it with the name of the file it is currently working with so that the extension application starts up with the same context as the calling application. The extension applications must be able to interpret the command line parameters, and the command line can be written to include any switches required. If a SonoSOFT application encounters a parameter it does not recognize, it will leave it as is.

In some cases applications may be able to accept more than one type of file, or may want to browse for a file. To allow for this possibility, choices can be indicated on the command line by enclosing them in square brackets. For example, if a View3D is an application that can accept $SXA or $XYZ files then the command line might look like this:

SonoSOFT\DOS\View3d.exe [$SXA,$XYZ].

When a SonoSOFT application encounters such a command line, it will bring up a browse dialog for .sxa and .xyz files. When the user selects a file, the filename replaces everything from the opening to closing bracket.

Extension applications can seamlessly extend SonoSOFT when they install by writing to the registry. Such applications should remove their extension entries when they uninstall.

To facilitate user extension of SonoSOFT, items in the interface that can be extended will contain sub-menus. Extension sub-menus will contain the options “Add&ldots;” and “Remove&ldots;” for adding and removing application extensions. An appropriate UI will be invoked for the Add and Remove commands. The Add command needs to capture the command line, working directory and menu text, which it will record to the registry. The Remove command will list all the registered extensions (as their Menu Text) and allow the user to select one to be removed. It will then remove menu item and the registry entries for the extension.


Working in SonoSOFT

As Sonometrics moves to a complete windows based system overlap between software capabilities and function will occur. Currently SonoLAB acquisition software is DOS based software with all data processing performed in windows. In this time of transition we thank you for your patience.

For more information, please select from the following:

  1. About the SonoSOFT Platform

  2. Acquiring Data.

  3. Opening Files in SonoVIEW.

  4. Setting up Display.

  5. Preparing for Data Analysis.

  6. Performing Calculations in SonoVIEW and CardioSOFT.

  7. Saving Files in SonoVIEW.

  8. Printing Files in SonoVIEW.

  9. Trouble Shooting SonoSOFT.


About SonoSOFT Platform

The SonoSOFT platform serves as the platform for all software. The platform contains links to data acquisition software, processing software, basic help documents and tutorial documents.

  1. Online Help Documentation.

  2. Computer Hardware and Software Information.

  3. SonoVIEW Tutorial.

  4. Licensing Information.


Online Help Documentation

From the SonoSOFT platform, the Help documentation for acquisition and analysis may be accessed from the Help drop menu. A full copy of the Hardware and Software manuals may be accessed from the SonoSOFT icon shown in the program files.


Computer Hardware and Software Information

To access software information such as version number:

  1. Select About SonoSOFT from the Help drop menu.

  2. The newly opened window will give information about version number, license information and the name of the licensed user.

  3. Select System Info in the About SonoSOFT window to view system resources.


SonoVIEW Tutorial

For new SonoVIEW users, an online tutorial is available from the Help drop menu. This tutorial may be downloaded from Sonometrics web page at http://www.sonometrics.com/new_soft-cus.htm.


Licensing Information

Upon opening the SonoSOFT platform a licensing statement outlining legal statements and Copyrights of Sonometrics Corporation can be found. The Licensing Agreement must be accepted before SonoVIEW will open. To review the licensing agreement at any time:

  1. Select Help from SonoSOFT platform.

  2. Select Show EULA at Startup and restart the SonoSOFT platform


Acquiring Data

SonoLAB DOS software and Data Convert may now be accessed from the File drop menu on the SonoSOFT Platform. For assistance in running SonoLAB and common questions, please go to Acquisition [image] Help documentation.


Opening Files

SonoVIEW may be opened from the SonoSOFT platform or desktop links. From the Open window, a numerous file types may be select. Please see got to Appendix A File Extensions [image] to see definitions of all file types.

In the Open window, scroll through folders to locate the appropriate file. Once located select file type:

  1. To select a raw data file not previously opened in SonoVIEW, the file extension, Old SonoLAB Binary (*.**b) must be chosen in the drop menu at the bottom of the window.

  2. To select a file previously opened but not manipulated in SonoVIEW, select SonoLAB Binary Data (*.slb)

  3. To open files previously manipulated in SonoVIEW (calculations, filtering) select SonoSOFT Binary Data (*.ssb)

  4. To open ASCII Files, select Trace ASCII Data (*.ssa) or Cardiac ASCII Data (*.sca)


SonoVIEW Display

To determine the quality of data gathered, the user can select both crystal channels and ADC channels to be viewed. The only limit to the number of traces viewed, is the size of the computer monitor.

As shown there are three display Zones within the SonoVIEW platform,

  1. Trace Zone.

  2. 2D Zone.

  3. Data Zone.

  4. Display Settings.

Trace Platform Window Labeling


Trace Zone

The Trace Zone shows trace properties. There are four trace types to make up this zone.

  1. Crystal Traces.

  2. Analog Traces.

  3. AUX Traces.

  4. Merged Channels.


Crystal Pair Traces

When saving data, SonoLAB saves all possible crystal combinations, both transmitting and receiving unless specified by the user. All possible combinations of crystals may be scrolled through in the Trace Window and manipulations may be viewed.


Analog to Digital (ADC) Traces

SonoLAB acquisition software allows the user to input and save analog signals with crystal measurements. Within SonoVIEW, the user may view signals in correlation with dimension measurements and one another. Filtering [image] capabilities are also available for analog signals.


Auxillary Traces (AUX)

Auxiliary Traces (AUX)

The definition of an auxiliary channel is a channel calculated from other channel(s). These calculations are performed on each sample of data to create a complete waveform. For more information on creating AUX channels, please see page Performing Calculations [image] .


Merged Traces (MERG)

Merged Traces (MERGE)

In SonoVIEW, multiple traces may be copied together a single trace window. The merged traces may be used to view differences in the trends of the data. For more information on creating merged channels Copying and Merging Traces [image] .


2D Zone Window

Within the display window, the user may customize a two dimensional graph using any combination of TRX channels, ADC channels and/or AUX channels to define the X and Y-axis. In the 2D Zone, calculations using loop analysis may be viewed.

To set 2D Display Settings


Data Zone Window

The Data Zone uses multiple spreadsheet formats to view numerical values and calculated parameters. Entries to the Data Zone are organized into different spreadsheets for easy access to data calculations. All files may be exported to ASCII format, both trace data and calculated data may be exported to ASCII file format. ASCII files may be opened as text files in spreadsheet format. For steps to creating ASCII files please see page Saving Files in ASCII Format [image] .


Display Settings

SonoVIEW allows the user to customize the number of windows and the specifics of information contained within. To customize the display further please select from:

  1. Setting Zones to View.

  2. Trace Zone.

  3. 2D Zone.

  4. Data Zone.

  5. Time Scale Settings.


Selecting Zones to View

The user may wish to view one or more of the three zones. In the upper right corner of the platform are three buttons symbolizing the Trace Zone [image] , 2D Zone [image] and Data Zone [image] . Using the mouse, click the buttons to remove or add display zones. When one display zone is removed, the others will resize and fill the space.

Figure 1: Buttons to Select Zones to View


Time Scale Settings

To adjust time scale settings in the Trace Zone:

  1. Right click along the time scale located at the bottom of the display screen. The Time Scale Settings window will open.

  2. Reset the decimal places using the precision drop menu.

  3. Manually enter the upper and lower time limits using the Bounds menus.


Trace Zone Settings

  1. Display Templates.

  2. Customizing Number of Channels to View.

  3. Setting Trace Propteries.

  4. Scrolling Through Traces.

  5. Scale Settings.

  6. Setting the Number of Decimal Places.

  7. Time Shifting Traces.

  8. Viewing Delineators.


Using Display Templates

When opening a file in SonoVIEW the user may wish to use a previous template.

  1. Select Configuration from the top menu

  2. Choose Open Template, Default Template or Latest Template.

        1. The Default Template is a standard display showing one of each trace type.

        2. Latest Template, the user may choose the template of the last data file. Choosing a previous template, all display aspects are updated.

        3. Open Template allows the user to open a previously saved template of specific configuration.

Q: What are and how do I use templates?

A: For the HEADER TEMPLATE:

If the user has the same number and placement of TRX channels and analog channels then a HEADER TEMPLATE can be made with the TRX and AD channel names saved. If you have named your channels in an older file, they will be saved in the header of that file. So you can open this header file by going into the property screen from the analysis ADC or TRX channels, then open Header template and choose the old file .ssb that you already used and name your channels. It's best to make a copy of this file that has the desired named channels and rename it header.ssb (by going into SonoSOFT/DATA/folder then move this file to SonoSOFT/DATA) if all your crystals and analog channels are the same. To open this header.ssb, the user opens Analysis then clicks on TRX radio button then Property, then Header Template button.

For the Configuration file TEMPLATE:

This is a different template than the Header template (naming of the channels template). The configuration file Template saves the viewing configuration, so choose the TRX, ADC and AUX channels (using the Trace Matrix under Display menu) you would like to view when you open your files, along with what axes on the 2D graph. Once you have this set, then go under configuration and save this view Template configuration. Now when you go into a new file, it will ask you if you want to use the same template as the last template. Say yes if this happens to be different than the saved template you want, then go under the Configuration menu directory and open the wanted template.


Setting the Number of Channels to View

Only the computer monitor limits the number of traces viewed in the Trace Zone. With most applications, only specific crystal pairings are of interest to the user.

To select the number of traces:

  1. From Display menu.

      1. Select Number of TRX and select number of traces from side window.

      2. Select Number of ADC and select number of ADC traces.

      3. Select Number of AUX to select number of calculated traces.

      4. Select Number of MRG to select number or merged traces.

  2. From short cut located in the upper right corner of the platform.

      1. Left click on the channel type name, TRX, ADC, AUX or #MRG

      2. Select number of traces from drop menu located to the right.

      3. To change trace type, left click on the Trace Type window and a hidden menu will appear to select from.


Setting Trace Properties

The customization of the trace window may include Trace Color [image] , Trace Style [image] and Trace Width [image] . To specify trace properties:

  1. Right click on a trace to open the Trace Properties menu.

  2. All trace properties may be redone using the Redo Trace Setting for one trace, all traces in a group or all traces in the file.

  3. Any changes to the trace settings may be undone using Undo Last Setting.


Trace Scrolling

To determine the quality of data collected the integrity of individual traces must be viewed. To scroll through traces:

  1. Left click on the Group Trace button located in the upper tool bar.

  2. This will activate a scroll bar spanning all channels of each trace type.

  3. To the move scroll bar to another trace group, left click in the right margin opposite the trace group to be chosen.

  4. When scrolling, all possible traces are viewed unless the channel has been turned off (to select traces viewed please see Selecting Traces to View )


Scale Settings

Vertical scales may be set uniformly or while the horizontal or time scale, is uniform throughout. Scales may be set using the four buttons located in the bottom right corner of the Trace Zone.

Buttons:

  1. Full Horizontal View button in the lower left corner will reset the horizontal scale of the trace window to show the entire trace from beginning to end.

  2. Horizontal Zoom in lower right corner allows for incremental increases and decreases in horizontal scale. Position the cursor in the Trace Zone and left click to zoom in and right click to zoom out. To increase zoom increments, hold down the Control key in combination with mouse.

  3. Full Vertical View button in the upper right corner will auto-scale the upper and lower limits of the trace contained within the screen.

  4. Vertical Zoom button is located in the upper left corner and allows for incremental increases and decreases of the vertical scale. To increase zoom increments, hold down the Control key in combination with mouse.

To set known upper and lower scale values please go to Setting Specific Scale Values.


Setting Decimal Places

The number of decimal places for all trace types may be from zero to seven digits. To change the number of decimal places:

  1. Open the Scale Settings windows by left clicking in the right margin of the trace.

  2. Using the Precision drop menu set the number of decimal places.

  3. Changes may be applied to individual traces, all traces of a particular group or all traces by choosing the corresponding radio dot.


Shifting Individual Traces

To shift a trace, the user may manipulate horizontal time scales. A time shift will add zero data to the beginning of a trace or delete data from the end, depending on the type of time shift.

  1. To determine the number of data points to shift, please see Selecting Sections of Data [image] .

  2. In the Scale Settings window enter the number of data points, positive or negative to shift the trace.


Viewing Delineators

Delineators are used by SonoVIEW to determine the number of cycles/beats in a file. Any type of trace, TRX, ADC or AUX can be used as delineation trace. Delineators may be viewed in the Trace Zone and 2D Zone as corresponding lines or crosshairs. For more information on Delineation, please go to Choosing Delineators [image] .

To view delineators:

  1. Select Delineation from the upper menu and select from available options.

  2. Delineation choices will correspond to the type of delineation used. Select from highlighted choices.


Trace Colour

Within the trace window, the user has the choice of 12 different colors.

  1. right click on the trace to be altered to open Trace Properties Menu.

  2. Select Trace Color and choose from list.

  3. When a file is closed the color scheme will also be saved.


Trace Style

Traces may be viewed as a solid line or as individual data samples. Traces viewed with Line option will see the trend of a trace including possible outliers or inconsistencies. Viewing the traces with Dot option will show the distribution of the data samples. The distribution of the data points may assist the user in determining level shifts and other data irregularities.


Trace Width

The optimal width to view traces is dependent on the computer monitor and trace detail. Trace Width settings show traces of different thickness selected by the user and saved with the data file.


Selecting Traces to View

The number of traces to view may be selected from the:


Channel Display from Trace Matrix

To select crystal pairs to view, select from the Trace Matrix.

  1. Select Display from the upper menu followed by Trace Matrix.

  2. From the opened grid, left click to turn crystal combinations off or on. Only checked combinations will be shown in Trace Zone.

  3. To add or remove all combinations, click All in the lower left corner.

  4. To remove a crystal column or row, click on the written number of that channel.

  5. To show only Good, Bad or Unknown Traces, please click on the Trace Quality Selection Box next to the horizontal scroll bar located below the crystal pair matrix.

  6. Turn on or off ADC and AUX channels as appropriate.


Channel Display from Trace Zone

When viewing traces the user may decide not to view a specific trace. A shortcut is available within the Trace Zone to hide traces.

  1. To hide, right click in the margin of the trace to open the Channel Settings window.

  2. In the lower region of the window is a Hide Trace button. When this button is clicked the trace will be turned off in the display window and the in the Trace Matrix.

  3. These traces are only reactivated from the Trace Matrix that may be accessed from the Channel Settings window.


Setting Specific Scale Values

To set specific upper and lower limits of a trace:

  1. Select Individual Trace [image] button and select trace.

  2. Right click in the margin to open the Scale Settings window.

  3. The upper and lower slide bars are used to increase or decrease the scale limits.

  4. The user may select the Auto Scale button in the lower left corner of the Scale Settings Window.

Also See:


Trace Magnitude

The Individual Trace button allows user to change trace amplitude individually.

  1. Select Individual Trace button. Scroll bar will become and single trace scroll bar.

  2. Select a trace by left clicking on the trace.

  3. The Trace Magnitude scroll bar will now be positioned within the upper and lower limits of the trace allowing the user to alter upper and lower limits. For more information on vertical scale settings and single trace manipulation, please see page Scale Settings [image] .


2D Zone Settings

Within the 2D-Zone, the user may select any channel combination on an X-Y axis. In this window, trends in data may be seen along with corresponding calculation lines.


Selecting the XY Axis

Traces used in the 2D-Zone may be changed at any time and the display screen may be printed directly. To select the X and Y-axis:

  1. Select Configuration from the top menu followed by 2D-Zone or left click within the 2D Zone.

  2. Select traces type radio dot for each axis.

  3. Select trace to use from the drop menu for each axis.

  4. Press OK or Apply. When Apply is pressed, the 2D graph will update but the 2D Zone Configuration menu will remain open. If OK is clicked the 2D Zone Configuration window will close.


Viewing Delineations and Calculations in 2D Zone

Using the advanced analysis software CardioSOFT, the user can perform calculations relating to trends of a graph. Such calculations will be listed in the 2D Zone Configuration menu when calculated. To include a listed calculation:

  1. Highlight the name of the calculation and click the <- button.

  2. The name will move from the Excluded list to the Included list.

  3. Calculations listed in the Included menu will be shown in the 2D-Zone.

  4. Removed calculations by highlighting the name and using the -> button to shift calculation name back to the Excluded list. For information on calculating values see Performing Calculations [image] .

  5. When delineators are enabled in the Trace Zone, the corresponding marks will also appear on the 2D Zone.


Setting XY Scale

To set 2D scale, the Zoom features, Auto Scale or Independent Scale Settings may be used.


Zoom Feature 2D Graph.

The zoom features operate similar to the zoom features in the Trace Zone. To activate, left click on the Zoom button to open and reveal the four buttons. For information on scaling buttons, please Trace Zone Scale Settings .


Independent Scale Settings in 2D Zone

The user may enter specific scale settings for the window. To open the 2D Graph Scale Settings Window, right click in the margin along the X or Y-axis. This window will set the scale for the corresponding axis used to open the window.

  1. To change axis scaled, click the Y-axis or X-axis radio button located in the lower right corner of the 2D Zone Scale Settings Window.

  2. To change the number of decimal places used in the 2D Graph, select from Precision drop menu. Precision may be set for each axis independently or for both axes as specified from Precision window.


Data Zone Settings

Numerical output of data is an integral part of any experiment and subsequent analysis. Since such a large amount of data may be generated during processing, SonoVIEW has separate spreadsheets. From the drop menu located in the upper left corner of the Data Zone the user may select the following spreadsheets to view.

  1. Trace Data Spreadsheet.

  2. Cyclic Parameters.

  3. Complex Parameters.

  4. Spectra [image] .


Trace Data Spreadsheet

Trace Data spreadsheet contains numbers corresponding to data samples. To view all data samples of all displayed traces simply click on the Value radio dot located in the upper right corner of the spreadsheet.

The top row in the spreadsheet is labeled as Num. in the left margin. These numbers correspond to the number of data points listed in the spreadsheet per trace. Below Num., entries are the Avg. or average value. These numbers correlate to the average measurement value of all samples of data displayed in the window for that trace.


Cyclic Parameters Spreadsheet (CardioSOFT Users Only)

Data trends may be seen and calculations made. Within the Cyclic Parameters spreadsheet repetitive calculations may be viewed. Numerical representation of delineators is an example of data displayed in this spreadsheet.


Complex Parameters Spreadsheet (CardioSOFT Users Only)

More advanced cardiac calculations may be seen in the Complex Parameters spread sheet. Such calculations generate a single value. The analysis package purchased will determine if this spreadsheet is available.


Spectra Spreadsheet (CardioSOFT Users Only)

Within the Spectra spreadsheet, specific calculations are viewed such as arterial impedance and Fast Fourier Transform calculations. Calculations will be listed in this spreadsheet with in correspondence to each beat.


Manual Parameters Spreadsheet

The data displayed in Manual Parameters spreadsheet, depends on the type of delineation used. From the Manual Delineation [image] menu, Minimum and Maximum delineators must be used and the corresponding numerical data may be viewed here.

In Manual Parameters, data points of all other traces at the time of delineation will be listed. For each delineator, the value at the maximum delineation point, minimum delineation point and the mean measurement of the defined cycle. Other parameters may be specified from the Parameters drop menu on the Analysis platform.


Preparing For Data Analysis

SonoVIEW has extensive filtering capabilities, channel selection assistance and data series customization available to the user. The following outline the initial steps suggested before analysis begins.

  1. Naming Channels.

  2. Selecting Sections of Data for Calculations.

  3. Filtering Data.

  4. Copying and Merging Traces.


Copying and Merging Traces

To copy a single trace or multiple traces into a new trace window the user may select traces individually. To copy a trace:

  1. Highlight the trace in question by clicking anywhere on it.

  2. To select second trace, hold down the Control key and left click on the subsequent traces to selected.

  3. When all traces are selected, choose Copy (Control “C”) from the Edit drop menu followed by Paste.

  4. A new trace will be created at the bottom of the screen containing all traces selected.

Example of Merged Traces

Merged or copied traces cannot be saved with file and will disappear when file is closed. All other changes to trace will be saved as *.ssb files.


Naming Data Channels

The naming of data channels is imperative when carrying out calculations in SonoVIEW and CardioSOFT. The user must label all TRX and ADC channels manually or by using templates. The naming of the crystal channels is currently for cardiac applications only with the ability to enter user descriptions. To access the Channel Settings window:

  1. Right click in the left margin of the Trace Zone window.

  2. From Analysis platform:

    1. Select radio dot corresponding to type of trace to be named.

    2. Select trace

    3. Click Properties button.

To name:

  1. Naming Crystal Channels.

  2. Naming ADC (Analog) Channels.

  3. Naming AUX Channels.

  4. Naming Channels with a Template.


Naming ADC (Analog) Channels

Access the Channel Settings window from the

  1. Trace Zone by right clicking in the margin.

  2. From Analysis menu.

    1. From Analysis menu, the user may select the ADC radio dot

    2. Select channel to name.

    3. Click Property button to open window.

The ADC Channel Settings window consists of two drop menus with the SonoLAB description entered in the lower window. From the top drop menu, the user may scroll through signal names and select appropriate one. If name is not listed the user may select the User’s Description and type a name.

The second drop menu includes the Units of Measurement.

The naming information is important to allow SonoVIEW and CardioSOFT to recognize traces. All channel names and units will be displayed in the Trace Zone once saved.


Naming AUX Channels

Although the software will automatically name all AUX channels calculated, the user may wish to alter these names. This can be done from the Channel Settings Window opened from the Trace Zone or from the Analysis platform.

Once the Channel Settings Window is open, select names from the upper drop menu and appropriate unit of measurement for the lower menu. Once saved the new names will overwrite the previous labels in the Trace Zone.


Naming Channels Using a Template

To save time during data processing, SonoVIEW is capable of naming all channels using a previously labeled template. Once named in SonoVIEW, a file can be used as template to name other files with identical channel set up. To access the template feature:

  1. From the Channel Settings Window, click the Header Template button to open the File Open window.

  2. This window will allow the user to move through file folders to select a file to use as a template.

  3. Press Open.

  4. The Channel Settings Window will appear with the names entered automatically.

  5. Select Save and the names will be saved with the file for all channels.

  6. To name TRX or ADC channels only, click the Header Template radio dot to toggle on and off channel types to be named.


Naming Crystal Channels

Crystals must be labeled to reflect placement. Note*: each crystal must be labeled only once per file. To assist in placement naming, the crystal name entered during acquisition in SonoLAB will appear in the lower portion of the window.

For assistance in naming:

  1. Selecting Units of Measurement.

  2. Select Ventricle Drop Menu.

  3. Select Long Axis View.

  4. Select Short Axis View.

  5. Select Depth View.


Units of Measurement

The default unit of measurement of a dimension channel is millimeters (mm) as acquired in SonoLAB. Due to this automatic setting, the user will be unable to change the unit of measurement.


Select Ventricle Drop Menu

The upper right menu, select the right or left ventricle of the heart. From this drop menu, the user may also select User’s Description and manually enter a name. For assistance in placing crystal please refer to Naming Crystal Channels


Select Long Axis View Drop Menu

Long axis view is the placement of a crystal if the heart was cut from apex to base. For a visual representation please view the diagram accessed from the Help button as discussed in Naming Crystal Channels [image] .

For crystals defining long axis, be sure to assign then Apex and Base to assist SonoVIEW in identification. For crystals defining the short axis, name each as Medial placement to identification as directly corresponding crystals.


Select Short Axis View Drop Menu

To identify the short axis the user must identify the crystal placement on the horizontal axis. The Short Axis View represents the placement of crystals on a cross section of the heart. Again, the use of the Channel Settings Window Help [image] button to show corresponding placement is recommended.


Select Depth View Drop Menu

The placement of crystals during the experiment on the Endocardial surface, within the Myocardial tissue or against the Epicardial surface may also be labeled in SonoVIEW.


Selecting Data Sections and Beats

Within a data file, only a section of the file may be used as opposed to the entire file. SonoVIEW allows the user to highlight continual sections of data for use in calculations along with the ability to exclude or ‘turn off’ sections or specific beats.

  1. Selecting Continuous Sections of Data.

  2. Selecting Separate Sections of Data.

  3. Removing Specific Beats.

  4. Removing Sections of Data from 2D Zone.

  5. Chopping Large Data Files.


Selecting Continuous Sections of Data

The user may highlight large sections of the file, a single point of data or the entire file length. The highlight feature may be used for filtering as well as calculations. To use the entire trace do not highlight any sections of trace.

To select a section of data:

  1. Select Highlight Trace from the Display drop menu or the Highlight Trace icon located in the upper right corner of the SonoVIEW platform.

  2. When Highlight is activated, crosshairs representing mouse placement in the Trace Zone will appear. The vertical crosshairs represent the point in time with corresponding numerical data shown in the Data Zone.

  3. Position the mouse on the beginning or ending section of data and hold down the left mouse key while dragging the cursor across the screen.

  4. Once a section is highlighted, numerical representation in the Data Zone will show the number of data points selected and the average measurement of points for each tracing.

  5. To remove the highlight, choose Select Trace icon from the upper right corner of SonoVIEW platform or the Select Trace option from the Display menu.

  6. The highlighted area may be changed at any time by reselecting it


Selecting Separate Sections of Data

In some files the user may wish to use separated sections of data. To highlight separate sections of data:

  1. Highlight the initial section see Selecting Continual Section of Data [image] .

  2. Select other sections by holding down the Control key and highlighting again.

  3. Both sections will remain highlighted until changed or highlight is turned off.


Removing Specific Beats

With the use of Delineators, beats and or sections of data may be “turned off” within the trace. Remove of internal sections will result in automatic updating of calculations without recalculating.

To remove beats:

  1. Turn on delineators from Delineation menu. To calculate delineators please see page Choosing Delineators [image] .

  2. Turn on the TOG button.

  3. Position mouse above section to be removed and left click. Section will now be greyed.

  4. To reactivate section of data, left click over greyed area.

  5. Removal of delineators or addition of delineators will return any greyed areas.


Removing Sections of Data from the 2D Zone

When delineators are activated, individual loops may be removed from both the 2D Zone and the Trace Zone.

  1. Position the cursor in the 2D Zone over loop to be removed.

  2. Left click and the loop will become yellow. (this may be a very exact mouse placement. If loop does not highlight, zoom in to increase scale and loop dimension)

  3. Still positioned above highlighted yellow loop, right click and select Remove Highlighted Segment.

  4. This section of the loop will disappear along with the corresponding section of the Trace Zone.


Chopping Large Data Files

Some data saves may be very long making analysis difficult or sections of the data file may be useless. For these cases, the user may ‘chop’ a section of data to be saved as a separate file. Each new shortened file will be saved with an “s” character added to the name or the user may rename the file.

To chop an active trace:

  1. Using the Zoom features (see Scales Setting [image] ) center essential data in main display window.
  2. From the Manipulate drop menu select Chop Visible Data
  3. A Save As prompt will be seen with the file name. The new file name will have an extension added, i.e. exp01.slb will become exp01s.slb.
  4. Press Save and the new chopped data section will remain opened in the display screen.
  5. If the file is to be chopped again, another “s” extension will be added i.e. exp01s.slb will become exp01ss.slb and so on.


Filtering Data Channels

During data collection, noisy signals are possible. SonoVIEW has the ability to filter both TRX and ADC channels along with AUX channels if needed. All filtering functions may be accessed from the Manipulate drop menu and key combinations. Since filtering capabilities vary for TRX and ADC channels some filtering options will vary in application.

Once files are filtered, the user will be prompted to resave the file in the .slb format. This assures the user will not overwrite raw data. Once a file is saved as .ssb file, SonoVIEW will continue using this file. For later analysis of this file, the .ssb format should be opened.

Features:

  1. Selecting Crystal Size-Shift +F2.

  2. Setting Traces as Good, Bad or Doubtful.

  3. Undoing Filter.

Types of Filters:

  1. Remove Outliers of Active Trace - F2.

  2. Remove Outliers of all Selected TRX Traces - Control + F2.

  3. Replace Highlighted Points in Active Trace - F3.

  4. Replace Outbound Points of Active Trace - F4.

  5. 3 Point Average of Active Trace - F5.

SonoFILT:

  1. SonoFILT


Selecting Crystal Size-Shift+F2

When filtering, a window will appear urging the user to select the crystal size whenever Remove Outliers of Active Traces (F2) or Remove Outliers of all Selected TRX Traces (Conrol+F2) are selected.

To select crystal size the user has four options.

  1. LRG represents large including 2mm crystals or larger including.

  2. SML refers to small crystals, between 1-2mm in size.

  3. MIC represents Sonometrics 0.75mm crystals.

  4. None may be selected if no crystal was present or as default.

  5. Once done click on Finish and all setting will be saved.


Setting Traces as Good, Bad or Doubtful

In the Trace Window, colored squares in the left margin to help the user label traces good (green), bad (red)) or doubtful (yellow). Trace Status may be set by computer filters or by the user themselves.

The filtering option, Remove Outliers of All Selected TRX Traces will select a status of all filtered traces to assist the user. Left clicking on the colored square in the left margin may change the status of the traces. This Good/Bad template will be saved with the file.

Sample of Good Trace Quality Assigned


Undoing Filter

SonoVIEW has an Undo (Control+Z) feature accessible from the Edit menu. Though this function may be used at any time it can only be used once. If over filtering has occurred the user may reopen the original binary file (.slb) and begin again.


Remove Outliers of Active Trace - F2

This filtering option is similar to Remove Outliers of all Selected TRX Traces [image] but filters an individual trace.

With this option, the computer will determine outlier points and will place them back into the trace. Outlier points affected by this filter are contained within the scaling of the trace. If a trace has too many outlier points, SonoVIEW may not recognize the outliers and an alternate method of filtering will be required.

Sample Traces Before and After Removal of Outliers


Remove Outliers of all Selected TRX Traces - Control + F2

This filter affects all TRX traces that are activated within the Trace Matrix. When chosen this filter will recognize and reset outliers within the scale settings. In addition to filtering capabilities, this filter will set the status of crystals combinations as good bad or doubtful. Again, if outlier points are clustered or SonoVIEW is unable to identify the points as outliers another filtering option must be utilized. For an example, please below.

Sample Traces Before and After Removal of Outliers


Replace Highlighted Points in Active Trace - F3

For some sections of data the user may wish more control of questionable point placement and identify outliers. This filter allows the user to select points and reposition back into the trace.

To perform these functions:

  1. Select a trace and Highlight [image] the point or series of points to reposition

  2. Once highlighted select Replace Highlighted Points in Active Trace or press F3. The user should be aware that the repositioning of multiple points might cause inconsistencies in the data. To prevent this it is suggested that no more than five points in sequence be repositioned using this function.

Sample Traces Before, During and After Replacing Highlight Samples


Replace Outbound Points of Active Trace - F4

Some traces may have numerous individual points above or below the trace causing SonoVIEW not to recognize them as outlier points. This filter relies on the user to identify outlier points by scrolling the trace up and down to move outlier points out of the view field (see Trace Magnitude [image] to move individual traces).

  1. Select Single Trace Magnitude [image] and use the vertical scroll to move points out of the view field or use zoom features.

  2. Select Replace Outbound Points of Active Trace from the Manipulate drop menu or press F4.

  3. All outlying points will be placed back in the trace.

Sample Traces Before, During and after


3 Point Average of Active Trace - F5

On some traces, the user may wish to use a moving filter to smooth points. This function is done to individual traces using Three Point Average of Active Trace from the Manipulate drop menu or by pressing F5.

Please be aware, the 3 Point Average is a very strong filter and may change the characteristics of traces with small data increments. Maximum points may be greatly decreased in amplitude if peak maximum is made of only a few data samples.

Sample Traces Before and After Three Point Average


SonoFILT

SonoFILT allows the user to filter a batch of files in one step. It runs the same ‘replace outliers’ filter on all the TRX channels as the Ctrl F2 keys in the current SonoVIEW. SonoFILT is one of Sonometrics’ old DOS programs that is found under the Start Menu then Program Files then SonoSOFT then DOS.

NOTE: there is no program to run batch calculations, since viewing of the data prior to calculations is important.


Performing Calculations in SonoVIEW and CardioSOFT

With the evolution of Sonometrics Software, the SonoVIEW platform has become the operating platform for all processing software. From this platform, the user may open advanced software packages such as CardioSOFT, SonoVOL, and SonoXYZ and View 3D. Accessible software will depend on the package purchased.

For more information on the various CardioSOFT packages please contact your sales representative at Sonometrics or visit our website at www.sonometrics.com.

Please select from:

  1. About the Analysis Platform.
  2. Choosing Delineators.
  3. Selecting Calculations to Perform.


Analysis Platform

To access the Analysis interface from the SonoVIEW platform:

  1. Select Applications followed by Analysis from the top drop menu.

  2. The file to be processed is displayed in the upper right corner of the platform.

  3. The time length of the file or section of file to be calculated may be viewed in the upper right corner of the platform under Time Period sec.

  4. Calculations possible within CardioSOFT and SonoVIEW may be selected from the Parameters Menu located to the right of the platform.

  5. Select the trace type to be used in the calculation from the Trace and Time Offset In Calculation located in the lower right corner of the Analysis platform.

  6. In the Calculation Period in a Heart Beat section determination of the beginning and end of a contraction cycle may be specified.

  7. The main region of the SonoVIEW/CardioSOFT platform is the Parameters Listing field showing a list of all calculations to be performed.


Choosing Delineators

The type of calculations performed will depend on delineators used. When the Analysis platform is opened, Manual or Automatic Delineation will be selected. The user may change the type of delineator by clicking the radio dot labeled Automatic Delineation or Manual Delineation located in the upper left corner.

The use of Manual Parameters will result in numerical data represented in the Cyclic Parameters spreadsheet [image] . The use of Min/Max to determine ES and ED will show the time value of delineation trace.

Please select from:


Automatic Delineation

For cardiac applications, the beginning and end of the cycles are determined using end systole (ES) and end diastole (ED). For determination of ED, CardioSOFT will use ADC channels labeled LVP or ECG.

For determination of ES, a pressure channel may be used, most commonly LVP. In using LVP, ES can be determined as peak negative dp/dt, maximum LVP. Also, Emax may be used for ES determination once calculated. Please note, to use Automatic Delineation the appropriate ADC channels must be named.

A time offset may be applied to delineators from the Automatic Delineation menu. The window for applying an offset is below the selection drop menu for ED and ES delineation. The offset is a positive or negative value representing time for ES. An offset may also be applied to ED to be either R-wave peak negative or peak positive.

The offset may be viewed in the Trace Zone and 2D Zone. (see Viewing Delineators [image] for details on viewing delineators).


Manual Delineation

Manual Delineation may be performed in one of two ways. Since not all cardiac applications may use LVP, any other trace to determine ES and ED use maximum and minimum points. For non-cardiac applications, the minimum and maximum points of a trace may be used to determine the end and beginning of a beat/cycle. In each case, the user must give an approximation to the number of data points per beat.

Type of Manual Delineation:

  1. Manual Delineations to Determine ES and ED. (in absence of LVP trace)


Manual Delineation of ES and ED

To select a trace to determine ES and ED:

  1. Click the Max/Min->ED/ES radio dot in the upper left corner of the delineation menu.

  2. Select channel type TRX, ADC or AUX by selecting the corresponding radio dot.

  3. From the drop menu, select the appropriate trace.

  4. The maximum value per peat will be assigned as ED and the minimum point will be ES.


Manual Delineation Using Minimum and Maximum

For non-cardiac application the user may select Min or Max located below the Max/Min->ED/ES radio dot. Turn the Min/Max->ES/ED radio dot off by clicking on it. The user may choose the minimum or maximum points to identify the beat. An approximation of the number of samples must be made.

From the Parameters drop menu located in the upper left corner of the Analysis platform, select to view the Average Only, Minimum, Maximum, Mean, and Rate for all traces. If some features are not of value, they may be turned off while others remain. The values will be displayed in the Manual Parameters spreadsheet [image] with numbers corresponding to the value of each trace at delineation.


Selecting Calculations to Perform

SonoVIEW and CardioSOFT allow the user not only to perform individual calculations but also to set up customized protocols including multiple calculations.

Tips:

  1. Ensure the radio dot for CALC is selected.

  2. To remove a calculation from the list the user may click the Check to Calculate radio dot to the left of the Parameters Listing window. The calculation will now be greyed out.

  3. To change a calculation, select the New Channel Number radio dot to the left of the calculation line. Selecting another calculation will overwrite a calculation.

  4. When a calculation is entered into the listing field, the corresponding AUX channel number or Data Zone column number will appear.

  5. If the Check to Calculate radio dot cannot be activated, traces essential the calculation may be missing.

For a full listing of all calculations and algorithms, please see Appendix B [image] .

  1. To Select a Calculation.

  2. Determining Algorithms.

  3. Protocols to Perform Calculations.

Figure 2: Data and AUX Channel Calculations


To Select a Calculation

  1. Select from the Category drop menu the group containing the equation to be performed.

  2. Select the specific calculation from the Model drop menu.

  3. Select the trace type used, TRX, ADC or AUX radio dots from the Source menu in the Trace and Time Offset in Calculation box.

  4. Select the trace used in the calculation.

  5. Calculations dependant on ED and ES cycles, select the beginning and ending points in the Calculation Period in a Heart Beat drop menu

  6. Once all fields are selected, shift the calculation to the Parameters List using the <<< button.


Viewing Algorithms

Calculations within CardioSOFT may be performed on any channel combination as specified. From the CardioSOFT interface, the algorithm may be viewed by clicking the Equation button while calculation is highlighted. Calculations using a value constant or variable may enter this value in the Equation window.

Equation Window Example


Protocols to Perform Calculations

SonoVIEW supplies some default protocols and allows custom protocols to be made by the user. To reduce processing time, SonoVIEW and CardioSOFT allow the user to save numerous calculations to one file for later use in similar files.

Please select from:

  1. To Create a New Protocol.

  2. To Use a Default Protocol.

  3. To Use a User Created Protocol.

  4. Clearing a Protocol.

  5. Examples of Protocols


How to Create a Custom Protocol

In the Parameters listing field, up to 16 calculations may be entered. To reduce processing time, SonoVIEW and CardioSOFT allow the user to save numerous calculations to one file for later use in similar files. To create a custom protocol:

  1. Select all calculations and transfer to Parameters Listing field (see To Select a Calculation [image] ).

  2. Open the File menu in the upper left corner of the Analysis platform.

  3. Select Save Protocol As and customize protocol location and name for later use.

  4. Protocol files will be saved with a *.scp extension.


How to Use a Default Protocol

CardioSOFT Pro comes equipped with four default protocols Tau, Emax, EDPVR and PRSW. To use:

  1. Select Default Protocol from the File menu.

  2. Choose calculation type to be performed.

  3. All appropriate calculations will appear in Listing Field.

  4. Press Compute button and view calculation on appropriate channels and spreadsheet.


How to Use a User Created Protocol

A user created protocol saves all calculations as defined by the user.

  1. From the Analysis menu, select File.

  2. Select Open Protocol.

  3. In the Open window, select appropriate file folders to locate protocol with *.scp extension.

  4. Select the protocol file to be used and click Open. The Analysis window will open with calculations listed in the Parameters Listing fields.

  5. If some calculations are not activated or are grayed, check the Check to Calculate radio dot and update field. Traces required for the calculation may not be available and must be calculated first.


Clearing a Protocol

Once calculations have been chosen they will continue to appear on the Analysis platform whenever opened. To remove all calculations:

  1. From Analysis platform, open File drop list.

  2. Select Clear Protocol.

  3. All previous calculations will be removed along with the corresponding calculated data in the Data Zone. However all AUX channels will remain.


Examples of Protocols

For the PROTOCOL under Analysis:

You need to know what you want to calculate. Some calculations require that you calculate a variable before you can calculate it, i.e.) for Stroke Volume, Emax, etc you need LV volume. So you will have to make up two protocols, I've attached some sample protocols. Take a look at them, to get an idea of how the protocols work. Use minmax.scp first, under analysis, under file open protocol. Then PV.scp or segment1.scp or segment2.scp.


Saving Files in SonoVIEW

Data files may be saved in two formats in SonoVIEW:

  1. Binary Format to be viewed in SonoVIEW.

  2. ASCII Format. to be opened in a spreadsheet format such as Excel.


Saving in Binary File Format

File formats to be opened directly into SonoVIEW are Old SonoLAB Binary (.**b), SonoLAB Binary data (.slb), and SonoSOFT Binary Data (.ssb). These files will open to show Trace Zone, 2D-Zone and Data Zone. For a full listing and definition of these files please refer to Appendix A [image] .

To save files in these formats:

  1. Select Save Binary or Save Binary As… from the File drop menu

  2. When Save Binary is chosen, SonoVIEW will default to save the current data file as an .ssb format with current file name and location.

  3. When Save Binary As… is chosen the user may change the location or name of the file saved in .ssb format.


Saving in ASCII File Format

ASCII file formats include .ssa and .sca files. Select the type of information to be saved from:


Saving Trace ASCII Data

SonoVIEW allows numeric data samples for all traces or specific traces to be saved. These files are saved as .ssa data files and may be opened in a spreadsheet programs or word file.

To Save to ASCII format:

  1. In the SonoVIEW menu, select Save ASCII from the File drop menu.

  2. Select Trace Zone.

  3. From the Save Trace ASCII window:

    1. Use the scroll bar labeled Number of Samples to set the number of data points to be exported.

    2. Use the scroll bar labeled Escape Factor to reduce file size by removing data samples at regular intervals if necessary. For example, a file to be exported has 4229 samples. If an escape factor of 1 is used, 2114 data points will be exported.

  4. Select traces to export from:

    1. WYS (What You See) will export traces displayed in the Trace Window only.

    2. Matrix allows the user to select crystal combinations and analog channels independently of what is seen on the display screen. Press the Select button to open Matrix and make selections.

  5. Once traces selected, press Save… and select file name to be used.

  6. File may now be opened in spreadsheet format.


Saving Data Zone ASCII Data

Numeric calculations in CardioSOFT and SonoVIEW may also be exported to ASCII format from the Data Zone. When saving, the active spreadsheet will be saved. Other spreadsheets must be saved separately.

To save the Data Zone:

  1. Select spreadsheet to save in ASCII format

  2. Select Save ASCII from the File menu

  3. Select Data Zone.

  4. The Save As window will appear with the file name and extension .sca. It is recommended to customize the file name if multiple Data Zone spreadsheets will be saved to prevent overwriting of files.

  5. Press Save and the file may now be opened in spreadsheet format.


Printing Files from SonoVIEW

SonoVIEW allows the user to print the three display zones from the platform. The print feature is located in the File drop menu. When Print is selected, the user may select to print the Trace Zone or 2D-Zone. Data Zone must be printed from ASCII format.

  1. Printing Trace Zone.

  2. Printing 2D Zone.

  3. Printing Data Zone.

  4. Print Preview Options.


Printing the Trace Zone

To Print Trace Zone:

  1. From the SonoVIEW platform File drop menu select Print.

  2. Select Trace Zone and the Print Preview window [image] will open.

  3. Customize Printing Characteristics on Print Preview Platform.

  4. Trace features such as size, paper source and alignment may be chosen from the Options menu


Printing the 2D-Zone

Graphical representation displayed in the SonoVIEW can be customized and printed directly.

  1. Open the File drop menu on the SonoVIEW platform.

  2. Select 2D Zone from the Print option.

  3. In the Print Preview [image] window set printing characteristics.

  4. Click Print to send the document to the printer.


Printing the Data Zone

In Version 3.1 the ability to print data zone is not possible. To print the data zone, save data to ASCII [image] file and print from another program.


Print Preview Options

From the Print Preview platform the user may customize many aspects of the display page. Please select from the following options:

  1. Options Menu.
  2. Image Size Menu.
  3. Margins Menu.
  4. Orientation of Page.
  5. Drag Positioning.


Options Menu

From the Print Preview menu the user may customize the size and positioning of the display to be printed.

Maintain Aspect Ratio: if one side of the display screen is rescaled, all other sides will also rescale to keep ration of length to height on the display screen.

Use Full Screen: an auto scale feature to resize view to utilize the full page.

Center on Page: will center the display on the page.


Margins Menu

From the Print Preview platform the user may customize the margins of the print page. All four margins may be set independently.


Image Size Menu

Using the Image Size options the user may customize the length and height of the display. Numerical settings may be typed in.

Resizing may also be performed using the mouse to drag sides of display. For more information please see Drag Positioning.


Orientation of Page

From the Print Preview platform the user may select the image to print as landscape or portrait. Previews will automatically update with changes in display region of the Print Preview platform.


Drag Positioning in Print Preview

from the Print Preview platform the user may reposition the display on the page and resize image in display region. To move image:

  1. Position mouse over the display preview window.
  2. Hold down the left mouse key and drag image to reposition on page.

To alter size:

  1. Position mouse over edge of display image until shape of mouse turns to double arrow.
  2. Hold down left mouse key and drag image.
  3. If Maintain Image Ration radio dot is checked, corresponding sides will also rescale to maintain length vs. height ratio.


Trouble Shooting SonoSOFT

If a problem has incurred, please select from the following:

  1. Cannot find binary files.

  2. Calculations and Settings are not saved with files.

  3. Get error message.

  4. Calculated numbers are incorrect.


Cannot Find Binary Files

If the files cannot be found, please check the following:

  1. Ensure the Type Drop menu located at the bottom of the Open window is set to appropriate extension. (see Opening Files [image] )

  2. Check folder name.

  3. Have files been converted using Data Convert?

  4. Go to My Computer on desktop.

  5. Scroll through file folders to locate appropriate folder. (Default for saving in SonoLAB will save files to C:\SonoSOFT\Data or C:\SonoLAB in older systems.

  6. If files are not present please stare Data Convert [image] .

  7. If files are present please verify location and return to #1.


Calculations and Settings Not Saved with Files

When a data files is closed in SonoVIEW, the display settings will also be saved. Files where no changes have been made will save to the .slb file format while filtered files or files with calculations will be saved to .ssb format.

If upon opening a file filtering, calculations or display properties are missing, please ensure the .ssb format of the file has been opened (SonoSOFT Open window will default to .slb


Error Message

Please select from the following:

  1. Error message is seen when opening file. Files will not open.

  2. Error message when trying to Highlight [image] (Trace Points are too condensed to Highlight).


Error Message Seen When Opening File

If an error message is encountered when opening a file, please perform the following.

  1. Close the SonoSOFT platform is still open.

  2. Open SonoSOFT platform.

  3. Go to File, Open Data File.

  4. When prompted to use latest template select No. (If unable to reach this stage please skip to #6)

  5. If the file opens you are safe to continue as normal.

  6. If file still does not open, go to My Computer from the desktop. Locate folder containing files.

  7. Delete all .sst files from the file folder.

  8. Attempt opening the file again. Again refuse to open using latest template.

If file will still not open, please look for updated versions of SonoSOFT from our web page at www.sonometrics.com. If no updates are available, please contact Sonometrics Technical Support team at support@sonometrics.com.


Highlighting Error Message

Over long files the resolution of the computer screen may not be high enough to differentiate between data samples. If the message "Trace Points are too condensed to Highlight, please zoom out [image] on trace and attempt highlight again.


Run Time Error Message

If a Run Time Error occurs, please note the action performed before error message was seen and the program being run.

Check our website at www.sonometrics.com for any new releases of software which may have corrected the problem.

If no new software releases are available, please send a summary of the error to our support team at support@sonometrics.com.


Other Error Message

If an Error Message occurs, please note the action performed before error message was seen and the program being run.

Check our website at www.sonometrics.com for any new releases of software which may have corrected the problem.

If no new software releases are available, please send a summary of the error to our support team at support@sonometrics.com.


Calculated Values Not Correct

The following is a list of common questions regarding specific calculations:


Min and Max Points Incorrect

Minimum and maximum determination is dependent on the delineation. To check delineation, please perform the following.

  1. Please turn on delineation lines.

  2. If all lines are highly condensed at beginning of file, please check trace used as delineator. This is commonly caused by noise in the trace.

  3. If delineators seem to span multiple beats, please check sample number [image] entered on the Analysis Platform. This number may need to be reevaluated.


Calculations Using Volume Incorrect

Depending on the type of experiment performed the placement of the crystals on the ventricle may greatly affect the calculation of volume.

The most common reason for volume values that are too low are placement through out the ventricle wall. If crystals have been placed on the epicardial surface, estimation for Wall Volume should be entered before calculating volume. This number may be entered from the Viewing Algorithms [image] platform.

If wall volume will not have an effect, please check crystal pairs are named properly and axis have not been switched.


ES and Delineation Incorrect

The determination of ES may be different for each researcher. For this reason SonoVIEW allows the user to select the point of ES using one of multiple determinants. If the ES determination does not meet your needs please select another type of delineation utilizing different aspects of the LVP Trace. Please see Automatic Delineation [image] for a further explanation.


SonoXYZ

The 3-dimensional analysis software (SonoXYZ) converts of distance measurements into 3-D coordinates. A triangulation algorithm and iterative filtering converts these measurements into 3-D coordinates (with respect to some coordinate system) that can then be viewed using 3-D viewing program.

Four crystals are selected to define the local coordinate system. One transducer is taken as the origin of the coordinate system, another defines the x-axis, a third helps to define the x-y plane, and a fourth is used to set the positive z direction. The x,y,z coordinates of all other crystals are referenced to this set of points that make up the coordinate system. Simple triangulation is used to obtain the first estimate of the crystal coordinates, which are then refined through iterative filtering using a “multidimensional scaling” algorithm.

Ideally, these calculated distances should be identical to the experimental distances, however, some measurement error does occur. The sum total of the differences between distance data collected during the experiment and computed distances is considered the “reconstruction error.” Using minimization techniques, the x,y,z coordinates of the reconstructed data set are also adjusted. This serves to minimize the total reconstruction error value.

This software is often referred to as “x,y,z coordinate calculation software”. Once the 3-dimensional coordinates have been computed, an image can be constructed using 3-D Viewing software, View3D.

  1. About SonoXYZ Platform.

  2. Output Generated.

  3. Viewing 3D Data.

  4. Trouble Shooting SonoXYZ.


Summary of 3-D Analysis Process:

Sample of main Window associated with SonoXYZ when it is executed

  1. Time slice as starting point.

  2. Time slice as ending point.

  3. Maximum Number of Iterations During Optimization.
  4. Minimum Required Sum Square Error and Temperature.
  5. Reference Re-mapping (User Defined Reference Crystals).


Time Slice as Starting Point

SonoXYZ uses a specific point in selected data file for coordinate processing. Ideally, this starting point (must be an integer number) should occur when the majority of data traces are clean.

The program has a built-in scanning mechanism that scans through the first 200 data points and determines best time point to start processing. It is recommended this feature be used if unsure of an appropriate start point. To activate this automatic point selection function, simply click on the Auto scan box and a check mark appears.


Time Slice as Ending Point

If entire file is to be processed, click on the Last Point box. Otherwise, the user may enter the number of the data point where the 3-D coordinate calculation software is to stop processing the file. For example, if there are 1000 points in the data file, using 500 as the argument will cause the 3-D program to process half of the data file (assuming, of course, that the time slice used as the starting point is 1).


Maximum Number of Iterations During Optimization

The larger the number of iterations, the more accurate the data is and the longer the processing time.

The user may select one of three values, (“large”, “medium” or “small”) to control the number of iterations, or a specific number may be chosen. If the data is free of noise and consistent, a small number (i.e. 800) can be used. If the data is very noisy a larger value (i.e. 5000) should be used. There is a point, where a very large value (e.g. 100,000) will not give a more accurate result than a relatively large value like 5000. This will usually lengthen the processing time without offering any substantial difference in the accuracy of the result.


Minimum Required Sum Square Error and Temperature

This argument determines the minimum sum square error of the final calculation for each (x, y, z) coordinate. Due to increased mathematical computations, processing time will be substantially longer if a smaller error is desired.

Three default settings large, medium, or small, can be used as the input argument. The word "large" corresponds to a numeric value of 1E-4, "medium" to a value of 1E-6, and "small" to a value of 1E-8. To have more control you can directly enter a number instead.


Reference Re-mapping (User Defined Reference Crystals)

The 3-D program automatically determines the reference crystals used to define the x, y and z-axes. The program will select crystals to maximize computational accuracy. The user however may wish to define the 3 axes differently to help visualize the resulting 3-dimensional computations.

To enable this function, click on the Yes radio dot to define reference crystals. Then enter the specific crystal information when prompted to define the origin, the x-axis, y-axis, and z-axis. If re-mapping feature is enabled, the program will create a file called orgxyz.ref containing text specifying the four crystals chosen to represent the axes.

When the program is running, it looks for crystalsize.sxs file in the same directory as the data, which determines the size of each crystal. If this file was not found, it prompts to use the default crystalsize.sxs in SONOROOT directory. The default crystalsize.sxs will list all crystals a 2mm. If No is selected, the user may select eh crystalsize.sxs file.


Output Generated

Please select the data file extension from the following list to learn more:

  1. *.sxa or *.xyz in older versions.

  2. *.sxe or *.err in older versions.

  3. *.sxd or *.dst in older versions.

  4. *.sxh or *.hst in older versions.


The ".sxa" and .xyz Files

(E.g. demo04.sxa and demo04.xyz)

The “.sxa” and “.xyz” files contain all coordinate data generated by the coordinate calculation software. The first few rows of the file contain text needed as part of the header for 3-D processing. The raw data is organized into columns arranged in the following order:

Column 1=time (seconds)

Column 2-4=x, y, z coordinates for crystal number 1

Column 5-7=x, y, z coordinates for crystal number 2

Column 8-10=x, y, z coordinate for crystal number 3, etc.

If analog data was saved to file during acquisition, these values will be displayed after the crystal data. So, for example, if 32 transceivers were used to acquire data there would be a minimum of 97 columns in the file. The first column would contain values for time, the next 96 columns would contain the x, y, z coordinates (3 per crystal), and any additional columns would represent analog inputs.

It should be obvious which 3 crystals define the origin, the x-axis, and the x-y plane. The point assigned as the origin will have coordinates of {0,0,0}, the second point defining the x-axis will have coordinates of {X1,0,0}, where X1 is the distance between the origin and the second point, and a third point that has the coordinates {X2,Y2,0} where X2 and Y2 can be solved by knowing the distance from the first point to the third point and the angle between the x-axis to the third point. A fourth point defines the positive z direction and will the largest positive z values.

It should also be noted that if crystal coordinates for a particular transceiver couldn’t be computed, values of {0,0,0} will be assigned. Thus, there may be times when more than one crystal has {0,0,0} coordinate values. To determine which is the bad crystal, use SonoVIEW to view the trace status listed as the coloured boxes down the left side of the screen. If any crystal has less than 4 usable distance traces, then SonoXYZ will render it bad.


The ".sxe" or ".err" File

(E.g. demo04.err)

The error file contains two columns – one for time and the other for the sum square error for each time slice. The value of the error will depend greatly on the quality of the data and number of crystals used. In general, a large sum square error indicates a somewhat unreliable computation. If the error value is particularly large, it is recommended that the “.sxe” file be examined to determine if a crystal is bad.


The ".sxd" or ".dst" File

(E.g.demo04.sxd or demo04.dst)

The distance file contains the dimension data calculated during the coordinate calculation process. The first column contains values for time, followed by distances arranged by:

  1. Transmitter 1 to all receiver combinations.

  2. Transmitter 2 to all receiver combinations.

  3. And so on (e.g. Tx1-Rx1, Tx1-Rx2, Tx1-Rx3, Tx1-Rx4, Tx1-Rx5, Tx1-Rx6, Tx2-Rx1, Tx2-Rx2, Tx2-Rx3, etc.).


The ".sxh" or ".hst" File

(E.g. demo04.hst)

The histogram file contains information about the frequency of errors for each crystal, and the magnitude of the errors. The error is determined by subtracting the computed distance between a particular crystal and all others in the matrix from the experimental distance between the same sets of crystals. The frequency curve should look like a normal distribution, with the majority of values centered near zero. The histogram contains a lot of information about the noisiness of the crystals. For example, if a particular crystal experienced a level shift, its histogram will have multiple peaks. Similarly, if a crystal was particularly weak, its histogram will have a relatively flat profile.

Figure 3: Sample of histogram file graphed in Excel.


Viewing 3D Data

As a final step, the 3-dimensional coordinates can be viewed with any graphical viewing program. Our standard “View3D” software can be launched from Analysis menu, will graphically display a real-time, 3-dimensional reconstruction on this coordinate data. Please refer to the document entitled View3D [image] for detailed instructions.

The crystal coordinates may form a convex hull 3D shape. Volume and surface area of the convex hull can be further calculated with Sonometrics product SonoVOL under Applications pull-down menu.


Trouble Shooting SonoXYZ

Please elect from the following list of common question:

  1. Some crystals are missing from calculation.

  2. SonoXYZ Bug Notice.

  3. File gives error message when run: Huge Data Inconsistencies Detected.

  4. Numerical Data seems off when processing multiple files. .

  5. There is a flip in the display in 3D View.

  6. Selecting crystals to use in calculation.

  7. SonoXYZ will not run. Seems to Freeze.

  8. XYZ Calculated File Not Starting at 0


SonoXYZ Bug Notice

Please note that SonoXYZ MUST be closed and reopened between data file calculations. Once one file has been processed, please close the SonoXYZ platform and reopen before attempting to calculate another file.

This is a known bug present in versions 1.0 and higher. The resulting files will have improper distance calculations. Sonometrics is currently working on a solution to this problem and thank you for your patience during the troubleshooting process.


Crystals Missing from 3D Calculation

SonoXYZ uses the good/bad template generated during filtering in SonoVIEW (see Filtering for more information on creating the good/bad template). To be used in the SonoXYZ calculations, a crystal must have at least 4 traces labeled as good. Four good traces is a minimum requirement. If a crystal has less than 4 good traces it will default to be placed over the origin.

To solve this problem, note the crystals that are missing and go back to view the crystal traces in SonoVIEW. Filter the questionable traces until an adequate number can be classed as good.

To remove one or more crystals from a calculation, change the status of all crystal combinations involving the crystal to bad. The software will then ignore this crystal and place the number at the origin.


Huge Data Inconsistencies Error Message

The SonoXYZ program will do a rough check before it starts the optimization process. The program performs this verification by calculating the relative error using the coordinates generated by simple triangulation. If the error is larger than 4.0, it will display a message: “huge data inconsistencies" and stop processing. If this occurs, try selecting a different starting point for data processing. This error may also result if poor data traces are marked as good. As a check, open SonoVIEW and ensure that all poor traces are marked “bad” and all good traces are filtered properly and marked “good”.


Flip in 3D View

In some cases the user may notice a ‘flip’ in the 3D View reconstruction of data. The screen will seem to invert completely across an imaginary axis.

For these cases there is no tried and true solution. What can be done however is to view the .sxa or 8.xyz file in spreadsheet format. Look for any negative numbers. If any are found please remove the negative or replace cells with numerical data located above or below the number in question.


SonoXYZ Will Not Run

In some cases, long files, files using a large number of channels or a high sampling rate will take longer to process in SonoXYZ. If the software seems to have frozen, please look to the status bar located in the bottom left corner of the SonoXYZ window. If the bar is no longer moving and has remained stationary it is possible the software is frozen. Please exit the software and go to the file folder containing the files. If the .sxa, .sxd, .sxh and .sxe are all present, delete them before attempting to run the software again.

If files will continually not run in the software, please open the files again in SonoVIEW and reevaluate the quality of the traces. Files with noisy traces may cause the software to hang. If so, filter the software and reset the crystal combinations to good or bad.

Note: some files may take up to ½ an hour or more depending on the size of file. If problem persists, please contact Sonometrics Technical Support at support@sonometrics.com for further assistance.


XYZ Calculated File Not Starting at 0

Q: Why does the starting point of the XYZ calculated file not start at 0?

A: XYZ -starting points of data file

The first 3-D calculation made by the 3-D program is very important, as all subsequent calculations for each crystal are derived from it. Any given file contains multiple sonomicrometer dimension traces acquired over time. Each trace starts at a hypothetical time zero (0) and continues for several seconds to many minutes.

A number of items can influence the quality of sonomicrometer data. The first data point is not necessarily the result of noise or level shifts but may be. Only by viewing the first 5% or 10% of a trace can one say that the first few points follow the trend of the trace and are not erroneous outliers. The program Sonofilt makes a judgement on the "smoothness" of a point on the curve by looking at the trend of the curve on either side of the point in question. SonoFILT cannot decide if the first few points in a trace is smooth because it does not know what happened before them. Likewise, the validity of the last few data points cannot be determined because it does not know what happens after them.

The beginning and end portions of a data file serve as boundaries. Typically, it is not advisable to have the 3-D program start and end processing at these boundaries because of the uncertainty of the validity of the data at these positions (boundary conditions). You can specify the starting and ending time point for processing, or you can have the 3-D program pick a point within the first and last 200 points. There is some randomness in its choice, so be aware that you may get different 3-D results because the starting point will be different. However, if you over-ride the automatic selection of Axis and you enter in a fixed set of reference crystals to use for the axis, then you should get similar coordinate outputs regardless of the choice of initial starting point.


SonoVOL

SonoVOL is used to measure the surface area of a structure and the volume enclosed between crystals. In cardiac applications, SonoVOL directly measures cardiac volume, wall surface area and shape of the entire heart and left ventricle.

SonoVOL calculates cardiac volume and shape using the convex hull approach based on crystal 3D coordinate data generated by SonoXYZ software.


Using SonoVOL

SonoVOL software is designed with graphic user interface on MS Windows. The user needs only mouse to point and click on each function to complete computation.

SonoVOL Interface

  1. Run SonoVOL application from SonoVIEW Analysis menu.

  2. Select 3D coordinate files (*.xyz or *.sxa) to process.

  3. Check crystal numbers or All Crystals button to identify crystals to calculate volume and surface area, or click Template ... button to select an existing crystal number configuration file (*.svt).

  4. By default, SonoVOL selects a triangle set with optimized maximum number from all time points automatically.

  5. If data file is processed a with Auto Optimize option to get a fixed triangle set file (*.svf) and wants a different data file to use the same fixed triangle set to calculate, check Manual Select option and click Triangle Set ... button. Select existing fixed triangle set file (*.svf).

  6. If less than 3 crystals are checked, no volume or surface area can be calculated. If only 3 crystals are checked, volume is zero and surface area is the single face area of a triangle plane. If more than 3 crystals are checked, convex hull volume and surface area will be calculated.


Files Generated

SonoVOL generates five files that have the same path and file name as 3D coordinate file but different file extensions:

.sva - ASCII file of volume and surface area by both varying triangle set and fixed triangle set.

.svv - ASCII file of triangle facets by varying triangle set.

.svf - ASCII file of triangle facets by fixed triangle set.

.svc - ASCII file of coplanar crystals. (This file does not exist when using crystal coordinates calculated by SonoXYZ 2.0 and later).

.svt - Binary file of crystal configuration template.

SonoVOL applies the convex hull algorithm using the outermost crystals at each time point to generate a convex hull that has the largest volume. The index of triangle facets may vary from time to time. The .sva file has the results computed from this algorithm.

SonoVOL selects the triangle set in which the facets occur most frequently and the most crystals are involved as a fixed triangle set. The volume and surface area are computed with the fixed triangle set through all time points. The .sva file has results computed from fixed triangle set, as well as each triangle area of the fixed triangle set.

All result files are in ASCII format. The user can make further calculation or generate a graphic report with spreadsheet software.


View 3D

The View program is designed to display a 3-D data file as an animated movie loop. The mouse can be used to rotate the display so that the data can be viewed from any angle as well as magnifying or reducing the display size. The speed of the playback can also be altered.

BUG NOTICE! :

Please select from:


Quick Key Reference in View 3D

The view program uses the following keyboard controls. During operation, press the following keys to perform these functions:

(Q) Changes the X-Y rotation angle by one degree (positive)

(A) Changes the X-Y rotation angle by one degree (negative)

(W) Changes the Y-Z rotation angle by one degree (positive)

(S) Changes the Y-Z rotation angle by one degree (negative)

(E) Increments (by one degree) constant rotation in the X-Y plane

(D) Decrements (by one degree) constant rotation in the X-Y plane

(R) Increments (by one degree) constant rotation in the Y-Z plane

(F) Decrements (by one degree) constant rotation in the Y-Z plane

(+) Increases the playback speed

(-) Decreases the playback speed

(Z) Select another file to view

(space) Freezes the playback


Customizing 3D View Display Screen

The following is a description of the accessory files that the View.exe program looks for when it is executed. There are 7 files in total, and the View program can operate with any combination of them being present or absent. All are DOS text files that can be edited with the EDIT program. Because the names of these files are hard-coded into the View program, they cannot be renamed. Note that all end with a .DAT suffix.

Please select a file to view more information including information to edit file.

  1. DESCRIBE.DAT. : Contains any text you wish to display on the far right hand of the 3-D display

  2. DATACLR.DAT. : Data Colour file to set dot colour.

  3. BASEPTS.DAT. : Contains the x, y and z coordinates for any fixed data points to be included in the display.

  4. BASELNS.DAT. : Contains the line-connection sequence for the Base Data Points and line colour.

  5. DATALNS.DAT. : Contains the line-connection sequence for all 3-D Data Points and line colour.

  6. MISC.DAT. : Contains some additional information that customized the 3-D display, including Origin location and including Analog signals to display screen.

  7. FILE.DAT. : Contains the complete path of the data file being displayed.


DESCRIBE.DAT File

From the DESCRIBE.DAT file the user may customize the text viewed in the right side of the display screen. Each line can contain a maximum of 27 characters, and a total of 6 lines can be displayed. If DESCRIBE.DAT contains more than 6 lines of text additional lines will be ignored. If any line contains more than 27 characters, then the remaining characters on that line will be ignored.

Example: Description line 1

Description line 2

Description line 3


DATACLR.DAT File

The DATACLR.DAT file determines the colour of the lines and dots represented in the 3D View. Each line of this file contains 3 numbers separated by commas (,).

Each crystal is displayed as a circle of one color filled with a second color. The first number is the Circle color and the second number is the Fill color. The third number is the Size of the circle. Size can have a value of 0 to 3 (fractional values are permitted). A value of 0 makes the circle appear as a dot.

The values for the colors of the Circle and the Fill can be from 0 to 15. The order of the lines is matched to a specific crystal. The numbers that appear on line 14 of the file defines the colors and size of Crystal number 14. The last line of this file should contain the sequence 999,999,999. If no circles are to be plotted, ensure the first line contains the sequence 999,999,999.

Example: 9, 1, 2

10, 2, 2

11, 3, 2

(Etc)

999 ,999,999


BASEPTS.DAT File

This file contains the x, y and z coordinates for any fixed data points to be included in the display. Each line consists of 3 numbers separated by commas (,) where the first line represents the first Base point, the second line represents the second data point, and so on. The last line should contain the sequence 999,999,999 or, if no base points are needed, then the first line should contain 999,999,999.

Example: 0, 0, 0

10, 0, 0

9, 1, 0

9, -1, 0

0, 10, 0

1, 9, 0

-1, 9, 0

0, 0, 10

1, 0, 9

0, 1, 9

999, 999, 999


BASELNS.DAT File

BASELNS.DAT contains the line-connection sequence for the Base Data Points. Each line consists of 3 numbers, the first two being the two points that a line will be drawn between, and the third number is the color of the line. Only points that are defined in the file

BASEPTS.DAT should be referenced in this file. The last line of this file should contain 999,999,999 or, if there are no Base Data Points then the first lines should be 999,999,999.

Example: 1, 2, 11

2, 3, 11

2, 4, 11

1, 5, 13

5, 6, 13

5, 7, 13

1, 8, 14

8, 9, 14

8, 10, 14

999, 999, 999


DATALNS.DAT File

DATALNS.DAT contains the line-connection sequence for the 3-D Data Points. Each line consists of 3 numbers, the first two being the two points that a line will be drawn between, and the third number is the color of the line. The last line of this file should contain 999,999,999 or, if no lines are desired then the first line should be 999,999,999.

Example: 18, 21, 10

21, 6, 10

1, 4, 11

4, 22, 11

3, 20, 12

20, 5, 12

(etc)

999,999,999


MISC.DAT File

Description: Miscellaneous file. This file contains some additional information that customized the 3-D display. The first line contains a single number that represents a specific point the user wishes to be re-assigned as the origin. Normally, the 3-D data file contains 1 point that has already been assigned as the origin (i.e. it's xyz location is constantly 0,0,0). If this value is non-zero, then the origin will be moved to that point. If the value is zero, then the origin will not be moved.

The second line contains 5 numbers separated by commas (,). The first number is either a 0 or 1. If it is a zero, then the 3-D display will not include a separate window to display analog channel information. If it is a 1, then an analog channel display window will be displayed under the main 3-D display window. The second, third, fourth and fifth numbers can be defined as X1, X2, Y1, and Y2. The analog display window will have a width, in seconds, defined by X1 to X2, and a height (from bottom to top) defined by Y1 to Y2.

All remaining lines, (no more than 6) each contain 2 values. The first value represents an A/D channel in the 3-D file, and the second is the color of that channel when it is plotted in the analog display window.

Example:

0

1, 0, 14, -500, 500

1, 10

2, 11

The above example indicates:

1) The origin will not be moved

2) - An analog display window will be shown

- The window will represent time from 0 to 14 seconds

- The height of the window will represent -500 to 500 units.

3) The first analog data channel contained in the 3-D file will be plotted, with a color value of 10.

4) The second analog data channel in the 3-D file will be plotted, with a color value of 11.


FILE.DAT File

Description: This file contains 1 line listing the complete path and file name of the 3-D data file to display. If this file is absent, or if the it references an incorrect path, or if the data file name is wrong, then the View program will display all files in the current directory that end with .XYZ and the user will be prompted for the name of a 3-D data file to view.


Appendix A: File Extension Definitions

.**b | Old SonoLAB Binary | Original raw data files collected in SonoLAB. These files are data files before they are opened in SonoVIEW. | Data.01b
*.slb | SonoLAB Binary Data | Raw data files which have been previously opened in SonoVIEW. | Data01.slb
*.ssb | SonoSOFT Binary Data | Data files that have been filtered and or calculations performed with. | Data01.ssb
*.ssa | Trace ASCII Data | Trace Zone data converted and saved into ASCII format | Data01.ssa
*.sca | Data Zone ASCII Data | Data Zone spreadsheet saved into ASCII format | Data01.sca
*.scb | CardioSOFT Binary File |  |
*.sct | CardioSOFT Setup Template | Template file saved along with binary file containing calculation information in screen set up. |
*.sst | SonoSOFT Display Template |  |
*.scp | CardioSOFT Protocol | Template for Calculations to be performed in Analysis | Protocol2.scp


Appendix B: Calculations in CardioSOFT

  1. LV Volume and Whole Heart Volume.

  2. Mathematics.
  3. Trace Value.
  4. Cardiac.
  5. Spectra [image] – Spectrum Analysis.


LV Volume and Whole Heart Volume

When measuring left ventricular volume or right ventricular volume, apex/base major axis (ABaxis) must be available. Ten different heart model options are available to estimate left ventricular volume and entire heart volume. Right ventricular volume can be obtained by subtracting left ventricular volume from total heart volume.

Wall Volume should be subtracted from the following volume equations when crystals are placed on the epicardial surface rather than the endocardial. The wall volume can be measured by multiplying the average weight of n hearts and the density of tissue.


For Single Axis (Apex to Base axis only):

  1. Spherical Model.
  2. Cubic Model.
  3. Cylindrical Model.
  4. Paraboloid Model


Spherical Model:

Volume = p * AB-axis * AB-axis * AB-axis / 6


Cubic Model:

Volume = AB-axis * AB-axis * AB-axis


Cylindrical Model:

Volume = p * AB-axis * AB-axis * AB-axis / 4 (height = radius)


Paraboloid Model:

Volume = p * AB-axis * AB-axis * AB-axis / 8 (height = radius)


For Two Axis (Apex to Base axis and a Minor axis)

Allows definition of M axis1 as Anterior to Posterior axis or Septal wall to Free wall axis in left ventricle, as Anterior to Posterior axis or Left ventricle to Right ventricle axis in whole heart.

  1. Ellipsoid Model.

  2. Rectangular Parallelepiped Model.

  3. Cylinder Model.

  4. Paraboloid Model.


Ellipsoid Model:

Volume = p * AB-axis * M-axis1 * M-axis1 / 6


Rectangular Parallelepiped Model:

Volume = AB-axis * M-axis1 * M-axis1


Cylinder Model:

Volume = p * AB-axis * M-axis1 * M-axis1 / 4


Paraboloid Model:

Volume = p * AB-axis * M-axis1 * M-axis1 / 8


For Three Axis (Apex to Base axis, Anterior to Posterior axis, and Minor axis 2)

Allows definition of Minor axis 2 as Septal wall to Free wall axis in left ventricle and as Left ventricle to Right ventricle axis in whole heart.


Ellipsoid Model:

Volume = p * AB-axis * AP-axis * M-axis2 / 6


Rectangular Parallelepiped Model:

Volume = AB-axis * AP-axis * M-axis2


Mathematics

  1. Derivative.

  2. Integral.

  3. Addition, Subtraction, Multiply, and Divide


Derivative (Deriv):

Where V9t+1) is a trace value at time point t+1, V(t-1) is the trace value at the time point t-1.

DV/dt=(V(t+1)-V(t-1))/2


Integral

Where V(t) is a trace value at time point t.

Intg(V)=sum of V(t) during a period


Addition, Subtraction, Multiply and Divide

Functions will be performed on two channels to create a new trace.


Trace Value

  1. Heart Rate (HR)

  2. Maximum (Max)

  3. Minimum (Min)

  4. Mean

  5. End Diastole Magnitude (EDM)

  6. End Systole Magnitude (ESM)


Heart Rate (HR)

Where HR is Heart Rate (beat per minute)

HR=1/(time period in a beat)


Maximum (Max)

Where V(t) is a trace value at time point t.

MAX = Maximum (V(t)) in a period


Minimum (Min)

Where V(t) is a trace value at time point t.

MIN = Minimum (V(t)) in a period


Mean

Where V(t) is a trace value at time point t.

MEAN = (SUM of V(t))/(number of points) in a period


End Diastole Magnitude (EDM)

Where V(ED) is a trace value at End Diastole

EDM = V(ED)


End Systole Magnitude (ESM)

Where V(ES) is a trace value at End Systole

ESM = V(ES)


Cardiac

  1. Stroke Volume (SV)

  2. Cardiac Output (CO)

  3. Ejection Fraction (EF)

  4. Wall Thickening Percentage at ES (WT%1)

  5. Wall Thickening Percentage at Maximum (WT%2)

  6. Segmental Shortening Percentage at End Systole (SS%1)

  7. Segmental Shortening Percentage at Minimum (SS%2)

  8. Stroke Work (SW)

  9. End-Systolic Pressure Volume Ratio (Maximal Elastance - Emax)

  10. End Diastole Pressure Volume Relationship (EDPVR)

  11. Preload Recruitable Stroke Work (PRSW)

  12. Single Beat Preload Recruitable Stroke Work (SBPRSW)

  13. Time Constant of Isovolumic Relaxation (Tau 1) Zero Asymptote

  14. Time Constant of Isovolumic Relaxation (Tau 2) Floating Asymptote


Stroke Volume (SV)

Stroke volume is simply the difference between end-diastolic volume and end-systolic volume in units of milliliters (ml). A left ventricular volume channel must be present to calculate stroke volume. The period for stroke volume is ALWAYS from end-diastole (ED) to end-systole (ES). This period cannot be changed. Stroke volumes are reported on a beat-to-beat basis.

SV=LV_V(ED)-LV_V(ES)


Cardiac Output (CO)

Cardiac output is the stroke volume multiplied by the instantaneous heart rate. Stroke work must be calculated to get a measure of cardiac output. As with stroke work, cardiac output is calculated on a beat-to-beat basis and the period is defined from ED-ES. The unit of measure for cardiac output is L/min.

CO=SV*HR


Ejection Fraction (EF)

Ratio of SV to end-diastolic left ventricular volume in each cardiac cycle.

EF=(LV_V(ED)-LV_V(ES))/LV_V(ED)


Wall Thickening Percentage at ES (WT%1)

Change in wall thickness at end systole and end diastole as a percentage.

WT%=(WT(ES)-WT(ED))/WT(ED)


Wall Thickening Percentage at Maximum (WT%2)

Changes in wall thickness between maximum distance and end diastole as a percentage.

WT%=(WT(Max)-WT(ED))/WT(ED)


Segmental Shortening Percentage at End Systole (SS%1)

Changes in a segment length at end systole and end diastole as a percentage.

SS%=(SL(ED)-SL(ES))/SL(ED)


Segmental Shortening Percentage at Minimum (SS%2)

Changes in segment length between minimum distance and end diastole as a percentage.

SS%=(SL(ED)-SL(Min))/SL(ED)


Stroke Work (SW)

Stroke work is determined by calculating the area with in a pressure-volume (dimension) loop using ED-ED as the period. Notice that the source for the Y-axis is always left ventricular pressure (LVP) while the X-axis source, by default, is LV_V. If you would like to calculate stroke work using a pressure-dimension loop, ensure the appropriate Tx-Rx combination is selected. The default unit of measure for stroke work is an “erg”.

Area in the PV loop of each cardiac cycle.

SW=SUM of (LV(i)-LV(i+1))*(LVP(i)+LVP(i+1))/2 in a beat


End-Systolic Pressure Volume Ratio (Maximal Elastance - Emax)

E-max (maximal elastance), commonly referred to as an index of myocardial compliance, is the slope of the regression line that fits the end-systolic points on a pressure-volume (dimension) loop. CardioSOFT determines these points by identifying the location in the cardiac cycle where the ration of instantaneous pressure to instantaneous volume, minus the volume axis intercept, is greatest. These points are located for all beats selected and used to calculate E-max. An E-max value, intercept (Vo) and r value (correlation of fit) are reported in the data zone as a result of this calculation.

As with all other loop analyses, a dimension can be selected from the source to replace the default LV-V signal for loop-related calculations.

Maximal Elastance for a pressure-volume relation is defined as the points along a pressure-volume loop where the ratio of instantaneous pressure to the quantity instantaneous volume minus the volume axis-intercept LVP/(LV_V-LV_Vo)is maximized.

Emax = slope of a regression line that fits some points


End Diastole Pressure Volume Relationship (EDPVR)

EDPVR, often referred to as an index of myocardial stiffness, is the exponential fit of the end-diastolic pressure-volume points on the PV loop. As with E-max, PD loops are also used to calculate stiffness (EDPDR).

Exponential relationship between Pressure and volume at end diastole.

A least-square exponential fit to LVP(ED)=D*exp(Kp*LV(ED)) in several beats


Preload Recruitable Stroke Work (PRSW)

Preload recruitable stroke work (PRSW) is an index of contractility that is said to be independent of preload (unlike E-max). PRSW is the linear relationship between stroke work and end-diastolic volume (EDV) and is calculated by determining the slope of the regression line that fits these points. Stroke work is plotted on the Y-axis while EDV is typically plotted along the X-axis. A dimension can be selected from the source drop-down menu to provide you with a PRSW value using dimension instead of volume. A PRSW value, intercept (Vo) and r value (correlation of fit) are reported in the data zone as a result of this calculation.

Linear relation between stroke work and end-diastolic volume.

A least-squares linear fit to SW=K*LV(ED)+C in several beats

Reference: Donald D. Glower, John A. Spratt, Nicholas D. Snow, J. Scott Kabas, James W. Davis, Craig O. Olsen, George S. Tyson, David C. Sabiston Jr., J. Scott Rankin, "Linearity of the Frank-Starling relationship in the intact heart: the concept of preload recruitable stroke work", Circulation

, Vol. 71, No. 5, 1985, pp. 994-1009.


Single Beat Preload Recruitable Stroke Work (SBPRSW)

Relationship between stroke work and volume at end diastole where k is a constant of 0.7 and an estimation of wall volume and end diastolic volume can be made.

SBPRSW=SW/(EDV-k*EDV(b)+(1-k)*WallVol) in a single beat


Time Constant of Isovolumic Relaxation (Tau 1) Zero Asymptote:

Tau values are reported in the data zone on a beat to beat basis. Also reported are the number of beat used, the mean value, standard deviation, and min/max tau values.

Tau is determined by using the left ventricular pressure (LVP) trace. The period used to calculate Tau is a brief period of the cardiac cycle from the end-systole (peak negative dp/dt) to some user-defined point (UDP). By default, the UDP is the point in the cycle where pressure is 5 mmHg above the end-diastolic pressure value. Other options include adding 10 mmHg to EDP, using the EDP point, or manually selecting an offset pre-determined by the data sampling rate.

Where P(t) is LV pressure during isovolumic relaxation period, Pasym is a nonzero asymptotic pressure, P0 is an amplitude constant, t is time, Tau is the time constant of the exponent.

P(t) = P0*exp(-t/Tau) + Pasym


Time Constant of Isovolumic Relaxation (Tau 2) Floating Asymptote:

Where LVP(t) Left Ventricular Pressure, LVPo is Left Ventricular Pressure at End Systole, Tau is the derived time constant, Pasym is a nonzero pressure.

A least-squares exponential fit to LVP(t)=LVPo*exp(-t/Tau)+pasym during isovolumic relaxation period.

Reference: H. Matsubara, M. Takaki, S. Yasuhara, J. Araki, H. Suga, "Logistic Time Constant of Isovolumic Relaxation Pressure-Time Curve in the Canine Left Ventricle", Circulation, Vol. 92, No. 8, 1995, pp. 2318-2326.


Spectra - Spectrum Analysis

  1. Fast Fourier Transform.

  2. Arterial Impedance.


Fast Fourier Transform

Where data length is truncated to the power of 2(4096 points)

FFT = Normalized Amplitude of Fast Fourier Transform of V(t)


Arterial Impedance

Where Z(w) is the complex value of Arterial Impedance that consists of Modulus and Phase, P(w) is FFT of pressure, |P(w)|^2 is a power of P(w), F(w) is FFT of flow. Conj (P(w) ) is complex conjugate of P(w), Data Length is truncated to power of 2 (4096 points).

Z(w)= |P(w)|^2 / (F(w) * conj(P(w)))


Using Headers

Using Templates

Q: What are and how do I use templates or protocols?

A:

For the HEADER TEMPLATE:

If the user has the same number and placement of TRX channels and analog channels then a HEADER TEMPLATE can be made with the TRX and AD channel names saved. If you have named your channels in an older file, they will be saved in the header of that file. So you can open this header file by going into the property screen from the analysis ADC or TRX channels, then open Header template and choose the old file .ssb that you already used and name your channels. It's best to make a copy of this file that has the desired named channels and rename it header.ssb (by going into SonoSOFT/DATA/folder then move this file to SonoSOFT/DATA) if all your crystals and analog channels are the same. To open this header.ssb, the user opens Analysis then clicks on TRX radio button then Property, then Header Template button.

For the Configuration file TEMPLATE:

This is a different template than the Header template (naming of the channels template). The configuration file Template saves the viewing configuration, so choose the TRX, ADC and AUX channels (using the Trace Matrix under Display menu) you would like to view when you open your files, along with what axes on the 2D graph. Once you have this set, then go under configuration and save this view Template configuration. Now when you go into a new file, it will ask you if you want to use the same template as the last template. Say yes if this happens to be different than the saved template you want, then go under the Configuration menu directory and open the wanted template.